---
search:
  tags:
    - Content
    - PUT
seo:
  description: >-
    Update a page. Reference for the PUT /pages/{id} endpoint in the Bolder API
    v2.
sidebar:
  label: Update a page
  badge: PUT
title: Update a page
type: openapi-operation
---
`PUT /pages/{id}`

**Request body** (`application/json`, required)

- `title` (string)
- `slug` (string)
- `description` (string)
- `format` (string) — \`markdown\` is accepted as input and converted to \`html\` before saving.
- `body` (string)
- `visible` (boolean)

Request body example:

```json
{
  "title": "string",
  "slug": "string",
  "description": "string",
  "format": "html",
  "body": "string",
  "visible": true
}
```

**Responses**

- `200` — Page updated

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
